Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions | Variables
todoedit.php File Reference

Go to the source code of this file.

## Functions
| deleteCache ( $SiteDesign, $language, $year, $month, $day, $userID)
| addZero ( $value)

## Variables
if(isset( $Delete)) if(isset( $List)) if(isset( $Edit)) if(isset( $Cancel)) | $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZTodoMain", "Language" )
| $NotDoneID = $ini->variable( "eZTodoMain", "NotDoneID" )
| $iniLanguage = new eZINI( "kernel/eztodo/user/intl/" . $Language . "/todoedit.php.ini", false )
| $locale = new eZLocale( $Language )
| $user =& eZUser::currentUser()
| $redirect = true
if(isset( $AddLog)) if(! $user) | $CategoryID = eZHTTPTool::getVar( "CategoryID", true )
| $PriorityID = eZHTTPTool::getVar( "PriorityID", true )
| $UserID = eZHTTPTool::getVar( "UserID", true )
| $Name = eZHTTPTool::getVar( "Name", true )
| $Description = eZHTTPTool::getVar( "Description", true )
| $StatusID = eZHTTPTool::getVar( "StatusID", true )
| $t
| $error = false
| $nameCheck = true
| $permissionCheck = true
| $descriptionCheck = false
| $userCheck = true
if(( $userCheck) &&( $Action=="update")||( $Action=="updateStatus")) if(isset( $Action) && $Action=="insert"||isset( $Action) && $Action=="update") if( $error) if(isset( $Action) && $Action=="insert" && $error==false) if(isset( $Action) && $Action=="update" && $error==false) if(isset( $Action) && $Action=="delete") if(isset( $Action) && $Action=="new") if( $error) | $OwnerID = $user->id()
| $datetime = new eZDateTime()
if(isset( $Action) && $Action=="new"|| $error) if( $Action=="edit") | $category = new eZCategory()
| $category_array = $category->getAll()
for( $i=0; $i< count( $category_array); $i++) | $priority = new eZPriority()
| $priority_array = $priority->getAll()
for( $i=0; $i< count( $priority_array); $i++) | $status = new eZStatus()
| $status_array = $status->getAll()
| $user_array = $user->getAll()

## Function Documentation

## ◆ addZero()

addZero | ( |  | $value | ) |

Definition at line 41 of file todoedit.php.

References $ret.

## ◆ deleteCache()

deleteCache | ( |  | $SiteDesign,
|  |  | $language,
|  |  | $year,
|  |  | $month,
|  |  | $day,
|  |  | $userID
| ) |  |

Definition at line 32 of file todoedit.php.

References eZPBFile\unlink().

## Variable Documentation

## ◆ $category

if (isset($Action) &&$Action=="new"||$error) if ($Action=="edit") $category = new eZCategory()

Definition at line 603 of file todoedit.php.

## ◆ $category_array

$category_array = $category->getAll()

Definition at line 604 of file todoedit.php.

Referenced by eZArticle\categories(), eZBulkMail\categories(), eZLink\categories(), eZProduct\categories(), eZAd\categories(), eZNews\categories(), eZTip\categories(), eZBug\category(), eZArticleCategory\countByParent(), eZArticleCategory\fill(), eZCategory\get(), eZForum\get(), eZForumCategory\get(), eZProduct\get(), eZAdCategory\get(), eZArticleCategory\get(), eZBugCategory\get(), eZVirtualFolder\get(), eZImageCategory\get(), eZMediaCategory\get(), eZNewsCategory\get(), eZTipCategory\get(), eZProductCategory\get(), eZImageCategory\getAll(), eZAdCategory\getAll(), eZArticleCategory\getAll(), eZBugCategory\getAll(), eZVirtualFile\getAll(), eZVirtualFolder\getAll(), eZForumCategory\getAll(), eZImage\getAll(), eZLink\getAll(), eZMediaCategory\getAll(), eZNewsCategory\getAll(), eZTipCategory\getAll(), eZCategory\getAll(), eZProductCategory\getAll(), eZForumCategory\getAllCategories(), eZAdCategory\getByParent(), eZVirtualFolder\getByParent(), eZMailFolder\getByParent(), eZTipCategory\getByParent(), eZImageCategory\getByParent(), eZNewsCategory\getByParent(), eZArticleCategory\getByParent(), eZProductCategory\getByParent(), eZMediaCategory\getByParent(), eZArticle\GetCategory(), eZArticleSupplier\urlList(), eZContactSupplier\urlList(), and eZProductSupplier\urlList().

## ◆ $CategoryID

if (isset($AddLog)) if (! $user) $CategoryID = eZHTTPTool::getVar( "CategoryID", true )

Definition at line 120 of file todoedit.php.

## ◆ $datetime

$datetime = new eZDateTime()

Definition at line 440 of file todoedit.php.

## ◆ $Description

$Description = eZHTTPTool::getVar( "Description", true )

Definition at line 124 of file todoedit.php.

## ◆ $descriptionCheck

$descriptionCheck = false

Definition at line 155 of file todoedit.php.

## ◆ $error

$error = false

Definition at line 152 of file todoedit.php.

## ◆ $ini

if (isset($Delete)) if (isset($List)) if (isset($Edit)) if (isset($Cancel)) $ini =& eZINI::instance( 'site.ini' )

Definition at line 74 of file todoedit.php.

## ◆ $iniLanguage

$iniLanguage = new eZINI( "kernel/eztodo/user/intl/" . $Language . "/todoedit.php.ini", false )

Definition at line 79 of file todoedit.php.

## ◆ $Language

$Language = $ini->variable( "eZTodoMain", "Language" )

Definition at line 76 of file todoedit.php.

## ◆ $locale

$locale = new eZLocale( $Language )

Definition at line 97 of file todoedit.php.

## ◆ $Name

$Name = eZHTTPTool::getVar( "Name", true )

Definition at line 123 of file todoedit.php.

## ◆ $nameCheck

$nameCheck = true

Definition at line 153 of file todoedit.php.

## ◆ $NotDoneID

$NotDoneID = $ini->variable( "eZTodoMain", "NotDoneID" )

Definition at line 77 of file todoedit.php.

## ◆ $OwnerID

if (($userCheck) &&($Action=="update")||($Action=="updateStatus")) if (isset($Action) &&$Action=="insert"||isset($Action) &&$Action=="update") if ($error) if (isset($Action) &&$Action=="insert" &&$error==false) if (isset($Action) &&$Action=="update" &&$error==false) if (isset($Action) &&$Action=="delete") if (isset($Action) &&$Action=="new") if ($error) $OwnerID = $user->id()

Definition at line 438 of file todoedit.php.

## ◆ $permissionCheck

$permissionCheck = true

Definition at line 154 of file todoedit.php.

## ◆ $priority

for ($i=0;$i< count($category_array);$i++) $priority | ( |  | ) | = new eZPriority()

Definition at line 623 of file todoedit.php.

## ◆ $priority_array

$priority_array = $priority->getAll()

Definition at line 624 of file todoedit.php.

Referenced by eZPriority\get(), eZBugPriority\get(), eZBugPriority\getAll(), and eZPriority\getAll().

## ◆ $PriorityID

$PriorityID = eZHTTPTool::getVar( "PriorityID", true )

Definition at line 121 of file todoedit.php.

## ◆ $redirect

$redirect = true

Definition at line 100 of file todoedit.php.

## ◆ $status

for ($i=0;$i< count($priority_array);$i++) $status | ( |  | ) | = new eZStatus()

Definition at line 644 of file todoedit.php.

## ◆ $status_array

$status_array = $status->getAll()

Definition at line 645 of file todoedit.php.

Referenced by eZStatus\get(), eZBugStatus\get(), eZBugStatus\getAll(), eZStatus\getAll(), eZOrder\initialStatus(), eZOrder\lastStatus(), and eZOrder\statusHistory().

## ◆ $StatusID

$StatusID = eZHTTPTool::getVar( "StatusID", true )

Definition at line 125 of file todoedit.php.

## ◆ $t

$t

Initial value:
= new eZTemplate( "kernel/eztodo/user/" . $ini->variable( "eZTodoMain", "TemplateDir" ),
"kernel/eztodo/user/intl", $Language, "todoedit.php" )
eZTemplate
Definition: eztemplate.php:107
$ini
if(isset( $Delete)) if(isset( $List)) if(isset( $Edit)) if(isset( $Cancel)) $ini
Definition: todoedit.php:74
$Language
$Language
Definition: todoedit.php:76

Definition at line 127 of file todoedit.php.

## ◆ $user

for ($i=0;$i< count($status_array);$i++) $user =& eZUser::currentUser()

Definition at line 99 of file todoedit.php.

## ◆ $user_array

$user_array = $user->getAll()

Definition at line 671 of file todoedit.php.

## ◆ $userCheck

$userCheck = true

Definition at line 156 of file todoedit.php.

## ◆ $UserID

$UserID = eZHTTPTool::getVar( "UserID", true )

Definition at line 122 of file todoedit.php.

Referenced by eZQuizAnswer\hasAnswered().

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.